tika-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Tom Conlon" <t...@2ls.com>
Subject RE: Compilation failure
Date Tue, 18 Nov 2008 02:04:21 GMT
Hi Jukka,

1. >> How are you building Tika? You need Maven 2 and Java 5 (or
higher).
apache-maven-2.0.9
jdk1.6.0_04 (java.exe v6.0.40.12)


2. Next I deleted everything under .m2\repository then:
mvn install, same 2 errors.


3. Deleted apache-tika-0.1-incubating directory, downloaded from another
mirror:
mvn install, same 2 errors.


4. Something isn't right:
Log of
/lucene/tika/branches/0.1-incubating/src/main/java/org/apache/tika/parse
r/microsoft/WordParser.java
 CHPBinTable cbt = new CHPBinTable(header, tableStream, chpOffset,
chpSize, fcMin);
 
Log of
/lucene/tika/branches/0.1-incubating/src/main/java/org/apache/tika/parse
r/microsoft/Word6CHPBinTable.java
   public Word6CHPBinTable(byte[] documentStream, int offset, int size,
int fcMin)


TIA,
Tom

-----Original Message-----
From: Jukka Zitting [mailto:jukka.zitting@gmail.com] 
Sent: 18 November 2008 01:28
To: tika-dev@incubator.apache.org
Subject: Re: Compilation failure

Hi,

On Tue, Nov 18, 2008 at 2:17 AM, Tom Conlon <tomc@2ls.com> wrote:
> I'm a newbie but it does appear, after all, that the build errors
stand.

How are you building Tika? You need Maven 2 and Java 5 (or higher).

Your build error seems to be caused by an incompatibility with Apache
POI. You may want to clear org/apache/poi in your local Maven repository
just to make sure that your copy of the dependency is not corrupted.

BR,

Jukka Zitting

Mime
View raw message